FileCollectionDependency (Gradle API 8.14.1)
Description: declaration: package: org.gradle.api.artifacts, interface: FileCollectionDependency

Package org.gradle.api.artifacts

# Interface FileCollectionDependency

All Superinterfaces:
  `Buildable`, `Dependency`, `SelfResolvingDependency`

public interface FileCollectionDependency extends SelfResolvingDependency
A `FileCollectionDependency` is a `Dependency` on a collection of local files which are not stored in a repository.

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.artifacts.Dependency

  `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskDependency`
  `getBuildDependencies()`
  Deprecated.
  This class will no longer implement `SelfResolvingDependency` in Gradle 9.0.
  `FileCollection`
  `getFiles()`
  Returns the files attached to this dependency.
  `Set<File>`
  `resolve()`
  Deprecated.
  This class will no longer implement `SelfResolvingDependency` in Gradle 9.0.
  `Set<File>`
  `resolve(boolean transitive)`
  Deprecated.
  This class will no longer implement `SelfResolvingDependency` in Gradle 9.0.

  ### Methods inherited from interface org.gradle.api.artifacts.Dependency

  `because, contentEquals, copy, getGroup, getName, getReason, getVersion`

- ## Method Details

  - ### getFiles

    FileCollection getFiles()
    Returns the files attached to this dependency.
    Since:
      3.3

  - ### getBuildDependencies

    @Deprecated TaskDependency getBuildDependencies()
    Deprecated.
    This class will no longer implement `SelfResolvingDependency` in Gradle 9.0.
    Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
    Specified by:
      `getBuildDependencies` in interface `Buildable`
    Returns:
      The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any tasks.

  - ### resolve

    @Deprecated Set<File> resolve()
    Deprecated.
    This class will no longer implement `SelfResolvingDependency` in Gradle 9.0. Use `getFiles()` instead.
    Resolves this dependency. A `ProjectDependency` is resolved with transitive equals true by this method.
    Specified by:
      `resolve` in interface `SelfResolvingDependency`
    Returns:
      The files which make up this dependency.
    See Also:
      - `SelfResolvingDependency.resolve(boolean)`

  - ### resolve

    @Deprecated Set<File> resolve(boolean transitive)
    Deprecated.
    This class will no longer implement `SelfResolvingDependency` in Gradle 9.0. Use `getFiles()` instead.
    Resolves this dependency by specifying the transitive mode. This mode has only an effect if the self resolved dependency is of type `ProjectDependency`. In this case, if transitive is `false`, only the self resolving dependencies of the project configuration which are no project dependencies are resolved. If transitive is set to true, other project dependencies belonging to the configuration of the resolved project dependency are resolved recursively.
    Specified by:
      `resolve` in interface `SelfResolvingDependency`
    Parameters:
      `transitive` - Whether to resolve transitively. Has only an effect on a `ProjectDependency`
    Returns:
      The files which make up this dependency.